=== debian/control ===
Source: bootp
Section: net
Priority: extra
Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
Standards-Version: 3.8.2
Build-Depends: debhelper (>= 7)
Homepage: ftp://ftp.ntplx.net/pub/networking/bootp/

Package: bootp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, netbase, update-inetd
Description: server for the bootp protocol with DHCP support
 This is a server for the bootp protocol; which allows network administrator
 to setup networking information for clients via an /etc/bootptab on a server
 so that the clients can automatically get their networking information.  While
 this server includes rudimentary DHCP support as well, we suggest using the
 dhcp package if you need DHCP support, as it is much more complete.
