=== debian/watch ===
version=2
ftp://ftp.ntplx.net/pub/networking/bootp/bootp-([0-9.]+).tar.gz
